Schedule new invites

This endpoint allows clients to schedule new review invites in eTrusted.

Sample request payload in JSON (Click to view)
{
  "channel": {
    "id": "chl-f8c8c9c3-93ff-48dd-1111-629196b5955a",
    "type": "user_defined"
  },
  "system": "Magento",
  "systemVersion": "1.0.0",
  "invites": [
    {
      "questionnaireTemplate": {
        "id": "tpl-qst-12261ad3-d36b-4a3a-a4ab-850920d7b11f"
      },
      "template": {
        "id": "tpl-inv-12261ad3-d36b-4a3a-a4ab-850920d7b11f"
      },
      "customer": {
        "firstName": "John",
        "lastName": "Doe",
        "email": "[email protected]"
      },
      "locale": "de_DE",
      "transaction": {
        "reference": "ORDER-121416990",
        "date": "2017-11-01T13:30:15Z"
      },
      "products": [
        {
          "gtin": "1234567890123",
          "imageUrl": "https://www.specialbrandshop.com/article123-TS-WH-M/image.jpg",
          "name": "Specialbrand T-Shirt White M",
          "mpn": "23687778",
          "sku": "1234-TS-WH-M",
          "brand": "specialbrand",
          "url": "https://www.specialbrandshop.com/article123-TS-WH-M/"
        }
      ],
      "preferredSendTime": "2018-02-01T17:09:41.79Z",
      "metadata": {
        "carModel": "Touareg",
        "carColor": "silver"
      }
    }
  ]
}
Body Params

The object containing invites to be scheduled.

channel
object
required

The channel which will be associated with the invites.

string
required

Name of the customer's system

string
required

Version of the customer's system

invites
array of objects
required
length between 1 and 10000

The invites to be scheduled.

invites*
questionnaireTemplate
object
required

The questionnaire template which will be used to render the actual questionnaire for this invite.

template
object
required

The invite template which will be used for sending the invite.

customer
object
required

The customer invited to leave a review.

string

The locale in which the customer will get the invite and questionnaire.

transaction
object
required

The transaction to be reviewed.

products
array of objects

This is a list of products.
It contains the products that are associated with the event.
It includes all data needed for product reviews for these products.

products
date-time

The date and time when the invite should be sent. It is in the ISO 8601 & RFC3339 valid format yyyy-MM-dd'T'HH:mm:ss.SSSZ. If it is not set or the date is in the past, the invite will be scheduled immediately.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json